# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::RenderQueueSorterByShader Class Reference

Sorts the RenderTokens by their Shader pointer. More...

`#include <RenderQueueSorter.hpp>`

Inheritance diagram for vl::RenderQueueSorterByShader:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| RenderQueueSorterByShader ()
virtual bool | mightNeedZCameraDistance () const
virtual bool | confirmZCameraDistanceNeed (const RenderToken *) const
virtual bool | operator() (const RenderToken *a, const RenderToken *b) const

## Detailed Description

Sorts the RenderTokens by their Shader pointer.

Definition at line 62 of file RenderQueueSorter.hpp.

## Constructor & Destructor Documentation

vl::RenderQueueSorterByShader::RenderQueueSorterByShader | ( | ) | `[inline]`

Definition at line 66 of file RenderQueueSorter.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::RenderQueueSorterByShader::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderQueueSorter.

Definition at line 65 of file RenderQueueSorter.hpp.

virtual bool vl::RenderQueueSorterByShader::mightNeedZCameraDistance | ( | ) | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

Definition at line 70 of file RenderQueueSorter.hpp.

virtual bool vl::RenderQueueSorterByShader::confirmZCameraDistanceNeed | ( | const RenderToken * | ) | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

Definition at line 71 of file RenderQueueSorter.hpp.

virtual bool vl::RenderQueueSorterByShader::operator() | ( | const RenderToken * | a,
|  | const RenderToken * | b
| ) |  | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

Definition at line 72 of file RenderQueueSorter.hpp.

References vl::RenderToken::mShader.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderQueueSorter.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:44.
Permission is granted to use this page to write and publish articles regarding Visualization Library.